/**
 * Build a Technical Documentation Page
 */
:root {
  --fontFamily: 'PT Sans', Arial, san-serif;
  --fontMono: 'Fira Mono', 'Courier New', monospace;
  /* Colours */
  --textColor: #333333;
  --codeColor: #33ACFF;
  --codeBg:    #F0F0F0;
  --gray:      #CCCCCC;
  /* sizing */
  --spacer: 15px;
  --navbarWidth: 250px;
}

html, body {
  font-family: var(--fontFamily);
  font-size: 16px;
  margin: 0;
}

h1 {font-size: 2em;}
h2 {font-size: 1.625em;}
h3 {font-size: 1.5em;}
h4 {font-size: 1.325em;}
h5 {font-size: 1.25em;}
h6 {font-size: 1.125em;}

code {
  font-family: var(--fontMono);
  color: var(--codeColor);
  background-color: var(--codeBg);
  display: inline-block;
}

.nav-links {
  list-style: none;
  padding: 0;
  border: 3px solid var(--gray);
}

.nav-links li {
  border-bottom: 1px solid var(--gray);
}

.nav-links li:last-child {
  border-bottom: 0;
}

.nav-link {
  display: block;
  padding: calc(var(--spacer) / 2);
}

.navbar {
  padding: 0 var(--spacer);
}

.main_content {
  padding: 0 var(--spacer);
}

.elements {
  list-style: none;
  padding: 0;
}
.element {
  display: flex;
  border-bottom: 1px dotted var(--gray);
  margin: var(--spacer) 0;
}

.element:last-child {
  border-bottom: none;
}

.element__code {
  flex: 0 0 100px;

  /* min-width: 125px; */
  /* width: 125px; */
  /* max-width: 125px; */
}

.element__description {
  padding-left: var(--spacer);
}
.element__description p {
  margin-top: 0;
}

@media screen and (min-width: 48em) {
  .navbar {
    position: fixed;
    width: var(--navbarWidth);
    height: 100vh;
    padding: var(--spacer);
    box-sizing: border-box;
  }

  .main_content {
    max-width: calc(100% - var(--navbarWidth));
    margin-left: var(--navbarWidth);
    padding: 0 var(--spacer);
  }
}